ConnectionProvider::PingInfo Struct Reference

ping response info as returned by AbstractConnection::ping() More...

## Public Attributes

string | desc
| the description
*hash< ExceptionInfo > | ex
| if an exception occured, all exception info will be returned here
string | info
| a string giving the result of the ping (`"OK"` or an error message)
string | name
| the name of the connection
bool | ok
| a boolean value giving the result of the ping
*hash | opts
| the options set on the connection
*hash | ping_info
| an optional free-form hash giving additional info regarding ping operation or the remote system
date | time
| a relative date/time value giving the elapsed time of the ping operation
string | url
| a safe version of the URL (without passwords)

## Detailed Description

ping response info as returned by AbstractConnection::ping()